summaryrefslogtreecommitdiff
path: root/tct
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2016-11-04 11:31:18 +0100
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-03-29 12:48:09 +0200
commit52ce3127c366f6ffeb8005a4ffe985715f0583f1 (patch)
treedf8cff1a339d3726dcdbb68f629d5052729a918d /tct
parent1ce6059b98fbe0bd326714121dabbaf9be6a1851 (diff)
downloadmajor-52ce3127c366f6ffeb8005a4ffe985715f0583f1.tar.gz
major-52ce3127c366f6ffeb8005a4ffe985715f0583f1.tar.bz2
major-52ce3127c366f6ffeb8005a4ffe985715f0583f1.zip
Ignore artik's boot image
Change-Id: Ie83428cca51dcaa83397160c12a2574f1d9e8091
Diffstat (limited to 'tct')
-rwxr-xr-xtct/artik_prepare_flash_conf.sh6
-rwxr-xr-xtct/flash/flash_dd_artik.sh8
2 files changed, 4 insertions, 10 deletions
diff --git a/tct/artik_prepare_flash_conf.sh b/tct/artik_prepare_flash_conf.sh
index 2c7669b..a3d364b 100755
--- a/tct/artik_prepare_flash_conf.sh
+++ b/tct/artik_prepare_flash_conf.sh
@@ -56,12 +56,6 @@ IMAGE_MOUNTPOINT="${T_DIR}/mounted"
switch2testserver "${SDMUX}"
-unpack_image "${BOOT_IMAGE}" "${IMAGE_UNPACKED}"
-
-mount_image "${IMAGE_UNPACKED}/boot.img" "${IMAGE_MOUNTPOINT}"
-replace_params "${IMAGE_MOUNTPOINT}"
-unmount_image "${IMAGE_MOUNTPOINT}"
-
unpack_image "${USR_IMAGE}" "${IMAGE_UNPACKED}"
mount_image "${IMAGE_UNPACKED}/rootfs.img" "${IMAGE_MOUNTPOINT}"
diff --git a/tct/flash/flash_dd_artik.sh b/tct/flash/flash_dd_artik.sh
index 515682b..5cb73e1 100755
--- a/tct/flash/flash_dd_artik.sh
+++ b/tct/flash/flash_dd_artik.sh
@@ -38,10 +38,10 @@ TESTLAB_SCRIPTS="$(CDPATH='' cd -- "$(dirname -- "$0")"/.. && pwd -P)"
test -n "${1}" || die "Too few arguments!"
sdd="sudo dd bs=1M"
-test -b "${1}1" || die "No ${1}1"
-$sdd if=boot.img "of=${1}1"
-test -b "${1}2" || die "No ${1}2"
-$sdd if=modules.img "of=${1}2"
+#test -b "${1}1" || die "No ${1}1"
+#$sdd if=boot.img "of=${1}1"
+#test -b "${1}2" || die "No ${1}2"
+#$sdd if=modules.img "of=${1}2"
test -b "${1}3" || die "No ${1}3"
$sdd if=rootfs.img "of=${1}3"
test -b "${1}5" || die "No ${1}5"